<?php get_header(); ?>

<div id="casing">
<div id="content" class="rounded">

<?php if (have_posts()) : ?>

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
		<h3 class="recpost"> Archive for the &#8216;<?php echo single_cat_title(); ?>&#8217; Category</h3>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h3 class="recpost"> Archive for <?php the_time('F jS, Y'); ?></h3>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h3 class="recpost"> Archive for <?php the_time('F, Y'); ?></h3>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h3 class="recpost"> Archive for <?php the_time('Y'); ?></h3>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h3 class="recpost"> Author Archive</h3>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h3 class="recpost"> Blog Archives</h3>

		<?php } ?>



<?php while (have_posts()) : the_post(); ?>
		
<div class="post" id="post-<?php the_ID(); ?>">
<div class="title">

<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>

</div>


<div class="cover">
<div class="entry">


	<?php the_excerpt(); ?> 


<div class="clear"></div>
	
</div>

</div>

<div class="date">
	<span class="author"> Posted by <?php the_author(); ?></span> <span class="clock"> On <?php the_time('M - j - Y'); ?></span>
 	<span class="comm"><?php comments_popup_link('Add Comments', '1 Comment', '% Comments'); ?></span>
	 <span class="more"> <a href="<?php the_permalink() ?>">READ FULL POST</a></span>
</div>	



</div>
		<?php endwhile; ?>

 <div id="navigation">
  <?php if(function_exists('wp_pagenavi')) : ?>
        <?php wp_pagenavi() ?>
 	   <?php else : ?>
        <div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries','arclite')) ?></div>
        <div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;','arclite')) ?></div>
        <div class="clear"></div>
       <?php endif; ?>

</div>

	<?php else : ?>

		<h1 class="title">Not Found</h1>
		<p>Sorry, but you are looking for something that isn't here.</p>

	<?php endif; ?>

</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>