<?php
require_once(TEMPLATEPATH . '/theme_options.php'); 

if 	(function_exists('register_sidebar') )
    register_sidebar(array(
	'name' => 'Sidebar',
    'before_widget' => '<li class="sidebox rounded">',
    'after_widget' => '</li>',
	'before_title' => '<h3 class="sidetitl">',
    'after_title' => '</h3>',
    ));

    register_sidebar(array(
	'name' => 'Footer',
    'before_widget' => '<div class="botwid">',
    'after_widget' => '</div>',
	'before_title' => '<h3 class="bothead">',
    'after_title' => '</h3>',
    ));	
	
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', '' ),
		'secondary' => __( 'Secondary Navigation', '' ),
	) );
	
	
add_custom_background();	
	
if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'stgz-slider', 630, 280, true );
	add_image_size( 'stgz-home', 150, 100, true ); 
	add_image_size( 'stgz-box', 100, 70, true ); 
}
function slidim(){

if ( has_post_thumbnail() ) {
			 the_post_thumbnail( 'stgz-slider', array('class' => 'slidim ') );
} else {
}
}

function boxim(){
if ( has_post_thumbnail() ) {
			 the_post_thumbnail( 'stgz-box', array('class' => 'boximage') );
} else {
}
}

function postim(){
if ( has_post_thumbnail() ) {
			 the_post_thumbnail( 'stgz-home', array('class' => 'postim rounded') );
} else {
}
}

function new_excerpt_length($length) {
	return 80;
}

add_filter('excerpt_length', 'new_excerpt_length');


function ShortenText($text)
{
$chars_limit = 30;
$chars_text = strlen($text);
$text = $text." ";
$text = substr($text,0,$chars_limit);
$text = substr($text,0,strrpos($text,' '));
if ($chars_text > $chars_limit)
{
$text = $text."...";
}
return $text;
}




					
function seo_wp_title( $title, $separator ) {
	if ( is_feed() )
	return $title;
	global $paged, $page;
	if ( is_search() ) {
		$title = sprintf( __( 'Search results for %s', '' ), '"' . get_search_query() . '"' );
		if ( $paged >= 2 )
			$title .= " $separator " . sprintf( __( 'Page %s', '' ), $paged );
		$title .= " $separator " . get_bloginfo( 'name', 'display' );
		return $title;
	}
	$title .= get_bloginfo( 'name', 'display' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " $separator " . $site_description;
	if ( $paged >= 2 || $page >= 2 )
		$title .= " $separator " . sprintf( __( 'Page %s', '' ), max( $paged, $page ) );
	return $title;
}			
	

add_filter( 'wp_title', 'seo_wp_title', 10, 2 );


?>